﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PropertyModifiers
{
    public class SimpleHelmut : Armor
    {

        public override ArmorSlots Slot
        {
            get { return ArmorSlots.Head; }
        }

        public SimpleHelmut(IGameService service) : base(service)
        {
            this.name = "Simple Tin Helmut";
            this.description = "Equip: Increases armor by 10.";
            this.weight.BaseValue = 3;
            this.actorModifiers[ActorProperties.Weight] = new BasicPropertyModifier<float>(this.weight.Value);
            this.actorModifiers[ActorProperties.Armor] = new BasicPropertyModifier<float>(10);
        }
    }
}
