﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PropertyModifiers
{
    public class CustomListViewItem : ListViewItem
    {
        public Armor ArmorItem;

        public CustomListViewItem(Armor item, string key)
        {
            if (item != null)
            {
                this.Text = item.Name;
                this.SubItems.Add(item.Description);
            }
            this.ArmorItem = item;
            this.ImageKey = key;
        }
    }
}
