﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PropertyModifiers
{
    public class Helpers
    {
        public static string TimeSpanToFriendlyString(TimeSpan span)
        {
            string value = string.Empty;
            if (span.Days > 0) value += span.Days.ToString() + " Day" + (span.Days > 1 ? "s" : string.Empty);
            if (span.Hours > 0) value += span.Hours.ToString() + " H" + (span.Hours > 1 ? "rs" : "our");
            if (span.Minutes > 0) value += span.Minutes.ToString() + " Min" + (span.Minutes > 1 ? "s" : string.Empty);
            if (span.Seconds > 0) value += span.Seconds.ToString() + " Sec" + (span.Seconds > 1 ? "s" : string.Empty);
            return value.TrimEnd(' ');
        }
    }
}
