﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PropertyModifiers
{
    public enum MessageType
    {
        Information,
        Error,
        Warrning,
    }

    public   enum Category
    {
           Other, 
           Item
    }

    public interface IEventService
    {
        event EventHandler<ItemEventArgs> ItemUpdate;
        event EventHandler<MessageEventArgs> ItemMessages;

        void Report(Category cat, MessageType type, string message);
        void Update(TimeSpan gameTime);
    }
}
